> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/user-interface-design/set-floating-button-position.md).

# Set Floating Button Position

If you're using the floating button as your primary invocation method, you can set a position for it to show up by default.

There are two variables here that can be manipulated:

* `floatingButtonEdge`: Which edge of the screen to show the button
* `floatingButtonTopOffset`: The position of the button on the y-axis

**Edge**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.floatingButtonEdge = .maxXEdge
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReporting.floatingButtonEdge = CGRectMaxXEdge;
```

{% endtab %}

{% tab title="And - Java" %}

```java
BugReporting.setFloatingButtonEdge(LuciqFloatingButtonEdge.RIGHT);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
BugReporting.setFloatingButtonEdge(LuciqFloatingButtonEdge.RIGHT)
```

{% endtab %}

{% tab title="RN" %}

```javascript
Luciq.setFloatingButtonEdge(Luciq.floatingButtonEdge.right, 250);
```

{% endtab %}

{% tab title="Flutter" %}

```dart
BugReporting.setFloatingButtonEdge(FloatingButtonEdge.right, 250);
```

{% endtab %}
{% endtabs %}

**Top Offset**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.floatingButtonTopOffset = 48
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReporting.floatingButtonTopOffset = 48;
```

{% endtab %}

{% tab title="And - Java" %}

```java
BugReporting.setFloatingButtonOffset(50);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
BugReporting.setFloatingButtonOffset(50)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/references/user-interface-design/set-floating-button-position.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
